#!/usr/bin/python
# -*- coding: utf-8 -*-

#constant
AUTOASSIGN_PORT      = 0
AUTOASSIGN_PORT_1ST  = 50000
AUTOASSIGN_PORT_LAST = 51000

DEFAULT_SRC_IPADDR  = "0.0.0.0"
DEFAULT_DEST_PORT   =  4660
DEFAULT_DEST_IPADDR = "192.168.10.16"

TIMEOUT_ACKNOWLEDGE = 200	#milli seconds

#
ATTRIBTYPE_TIMEOUT  = 1

##################################################################
##### RBCP #######################################################
##################################################################
#RBCP: version, type
RBCP_VER = 0xf0		#rbcp version
RBCP_TYPE = 0x0f	#rbcp type
RBCP_VER_TYPE = (RBCP_VER | RBCP_TYPE)

#RBCP: cmd, flag
RBCP_CMD_ACCESS  = 0x80
RBCP_CMD_READ    = 0x40
RBCP_CMD_WRITE   = 0x00
RBCP_CMD_READING = (RBCP_CMD_ACCESS | RBCP_CMD_READ)
RBCP_CMD_WRITING = (RBCP_CMD_ACCESS | RBCP_CMD_WRITE)

RBCP_FLAG_REQUEST      = 0x00
RBCP_FLAG_ACKNOWLEDGE  = 0x08
RBCP_FLAG_ERR_NORMAL   = 0x00
RBCP_FLAG_ERR_BUSERROR = 0x01

##
RBCP_REQ_READING = (RBCP_CMD_READING | RBCP_FLAG_REQUEST)
RBCP_REQ_WRITING = (RBCP_CMD_WRITING | RBCP_FLAG_REQUEST)
RBCP_ACK_READING = (RBCP_CMD_READING | RBCP_FLAG_ACKNOWLEDGE)
RBCP_ACK_WRITING = (RBCP_CMD_WRITING | RBCP_FLAG_ACKNOWLEDGE)

####
RBCP_ACK_TIMEOUT = 200

##################################################################
##### fast data TX ###############################################
##################################################################
FASTTX_TCP_PORT = 24

